%global commit 1e6015d4b223dbf4991e6496090392e07fd39f2b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git
%global project heat-templates

Name: openstack-heat-templates
Version: 0
Release: 0.10%{alphatag}%{?dist}
Summary: Heat software config templates and DIB elements
License: ASL 2.0
URL: https://github.com/openstack/heat-templates
Source0: https://github.com/openstack/%{project}/archive/%{commit}.tar.gz#/%{project}-%{shortcommit}.tar.gz

#
# patches_base=1e6015d4b223dbf4991e6496090392e07fd39f2b+1
#
Patch0001: 0001-modify-the-home-page-info-with-the-developer-documen.patch
Patch0002: 0002-A-hook-which-invokes-os-apply-config.patch
Patch0003: 0003-A-hook-which-writes-hiera-datafiles.patch
Patch0004: 0004-Add-option-to-pass-tags-to-the-ansible-hook.patch
Patch0005: 0005-Add-local-logging-output-to-puppet-hook.patch
Patch0006: 0006-docker-cmd-hook.patch
Patch0007: 0007-Set-content-type-for-SoftwareConfig-s-heat-config-no.patch
Patch0008: 0008-Correct-tags-option-position-in-ansible-hook.patch
Patch0009: 0009-Add-example-to-configure-ca-certificates-with-userda.patch
Patch0010: 0010-Allow-ansible-inventory-to-be-configurable.patch
Patch0011: 0011-Mark-OpenShift-templates-as-deprecated.patch
Patch0012: 0012-Adds-sample-template-for-Keystone-domain.patch
Patch0013: 0013-Show-team-and-repo-badges-on-README.patch
Patch0014: 0014-Do-docker-operations-in-a-defined-order.patch
Patch0015: 0015-docker-cmd-hook-handle-empty-config-file.patch
Patch0016: 0016-add-CONTRIBUTING.rst.patch

BuildArch: noarch

%description
Heat software config templates and image building elements

%prep
%setup -qn %{project}-%{commit}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -aR hot/software-config %{buildroot}%{_datadir}/%{name}

# Use os-apply-config to bootstrap /etc/os-collect-config.conf
# from heat boot data
install -p -D -m 755 hot/software-config/boot-config/templates/fragments/20-os-apply-config %{buildroot}%{_libexecdir}/os-refresh-config/configure.d/20-os-apply-config
install -p -D -m 600 hot/software-config/boot-config/templates/fragments/os-collect-config.conf %{buildroot}%{_libexecdir}/os-apply-config/templates/etc/os-collect-config.conf 

# utilities which can be run by deployment scripts
install -p -D -m 755 hot/software-config/elements/heat-config/bin/heat-config-notify %{buildroot}/%{_bindir}/heat-config-notify
install -p -D -m 755 hot/software-config/elements/heat-config/bin/heat-config-rebuild-deployed %{buildroot}/%{_bindir}/heat-config-rebuild-deployed

# os-refresh-config script to run heat deployment resources
install -p -D -m 600 hot/software-config/elements/heat-config/os-apply-config/var/run/heat-config/heat-config %{buildroot}%{_libexecdir}/os-apply-config/templates/var/run/heat-config/heat-config
install -p -D -m 755 hot/software-config/elements/heat-config/os-refresh-config/configure.d/55-heat-config %{buildroot}%{_libexecdir}/os-refresh-config/configure.d/55-heat-config

# hook to perform configuration with scripts
install -p -D -m 755 hot/software-config/elements/heat-config-script/install.d/hook-script.py %{buildroot}%{_libexecdir}/heat-config/hooks/script

# hook to perform configuration with puppet
install -p -D -m 755 hot/software-config/elements/heat-config-puppet/install.d/hook-puppet.py %{buildroot}%{_libexecdir}/heat-config/hooks/puppet

# hook to perform configuration with ansible
install -p -D -m 755 hot/software-config/elements/heat-config-ansible/install.d/hook-ansible.py %{buildroot}%{_libexecdir}/heat-config/hooks/ansible

%files
%license LICENSE
%doc README.rst
%{_datadir}/%{name}

%package -n python-heat-agent
Summary: Agent for performing Heat software deployments
Requires: python-heatclient
Requires: python-zaqarclient
Requires: heat-cfntools
Requires: os-collect-config
Requires: os-apply-config
Requires: os-refresh-config
Requires: dib-utils

%description -n python-heat-agent
This package installs and configures os-collect-config to allow Heat software
deployments to perform script based configuration tasks.

%files -n python-heat-agent
%license LICENSE
%{_bindir}/heat-config-notify
%{_bindir}/heat-config-rebuild-deployed
%{_libexecdir}/os-apply-config/templates/etc/os-collect-config.conf
%{_libexecdir}/os-apply-config/templates/var/run/heat-config/heat-config
%{_libexecdir}/os-refresh-config/configure.d/20-os-apply-config
%{_libexecdir}/os-refresh-config/configure.d/55-heat-config
%{_libexecdir}/heat-config/hooks/script

%package -n python-heat-agent-puppet
Summary: Agent for performing Puppet based Heat software deployments
Requires: python-heat-agent
Requires: puppet

%description -n python-heat-agent-puppet
This package installs and configures os-collect-config to allow Heat software
deployments to perform puppet based configuration tasks.

%files -n python-heat-agent-puppet
%license LICENSE
%{_libexecdir}/heat-config/hooks/puppet

%package -n python-heat-agent-ansible
Summary: Agent for performing Ansible based Heat software deployments
Requires: python-heat-agent
Requires: ansible

%description -n python-heat-agent-ansible
This package installs and configures os-collect-config to allow Heat software
deployments to perform ansible based configuration tasks.

%files -n python-heat-agent-ansible
%license LICENSE
%{_libexecdir}/heat-config/hooks/ansible
%changelog
* Fri Jan 13 2017 Jon Schlueter <jschluet@redhat.com> 0-0.10%{alphatag}
- add CONTRIBUTING.rst
- docker-cmd hook handle empty config file (lp#1648249)
- Do docker operations in a defined order
- Show team and repo badges on README
- Adds sample template for Keystone domain
- Mark OpenShift templates as deprecated
- Allow ansible inventory to be configurable

* Mon Nov 28 2016 Jason Joyce <jjoyce@redhat.com> 0-0.9%{alphatag}
- Add example to configure ca certificates with userdata

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 0-0.8%{alphatag}
- Correct tags option position in ansible hook
- Set content-type for SoftwareConfig's heat-config-notify
- docker-cmd hook

* Mon Nov 14 2016 Jason Joyce <jjoyce@redhat.com> 0-0.7%{alphatag}
- Add local logging output to puppet hook

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 0-0.6.1e6015dgit
- Add option to pass tags to the ansible hook
- A hook which writes hiera datafiles.
- A hook which invokes os-apply-config.
- modify the home-page info with the developer documentation

* Fri Sep 16 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 0-0.5.1e6015dgit
- Newton version

